---
title: "Vim: нумерация строк"
category: Vim
tags: Vim, команды Vim,
summary:
...

Для переключения режимов отображения слева столбца нумерации
строк можно добавить в `$HOME/.vimrc` следующий код:

```vim
" Нумерация строк включена
set number
" Нумерация строк абсолютная
set nornu

function! ChangeNumbering()
  if &number
    if &rnu
      set nornu
    else
      set nonumber
    endif
  else
    set number
    set rnu
  endif
endfunc

map <LocalLeader># <Esc>:call ChangeNumbering()<CR>
```

В результате по команде `<LocalLeader>#` будет осуществляться
циклическое переключение между абсолютной, относительной нумерацией
строк и отключением нумерации.
